# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "remit-cli"
version = "0.5.10"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI for the Remit payment protocol — USDC payments for AI agents"
homepage = "https://remit.md"
documentation = "https://remit.md/docs/cli"
readme = "README.md"
keywords = [
    "usdc",
    "payments",
    "agents",
    "base",
    "blockchain",
]
categories = [
    "command-line-utilities",
    "cryptography::cryptocurrencies",
]
license = "MIT"
repository = "https://github.com/remit-md/remit-cli"

[features]
default = ["keychain"]
keychain = ["dep:keyring"]

[[bin]]
name = "remit"
path = "src/main.rs"

[[test]]
name = "acceptance"
path = "tests/acceptance/main.rs"

[[test]]
name = "update_check"
path = "tests/update_check.rs"

[dependencies.aes-gcm]
version = "0.10"

[dependencies.alloy]
version = "1"
features = [
    "signers",
    "signer-local",
]

[dependencies.anyhow]
version = "1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
    "string",
]

[dependencies.clap_complete]
version = "4"

[dependencies.comfy-table]
version = "7"

[dependencies.dirs]
version = "5"

[dependencies.dotenvy]
version = "0.15"

[dependencies.flate2]
version = "1"

[dependencies.hex]
version = "0.4"

[dependencies.hostname]
version = "0.4"

[dependencies.keyring]
version = "3"
features = [
    "apple-native",
    "windows-native",
    "linux-native",
]
optional = true

[dependencies.ows-core]
version = "1.1"

[dependencies.ows-lib]
version = "1.1"

[dependencies.rand]
version = "0.8"
features = ["getrandom"]

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
]
default-features = false

[dependencies.rpassword]
version = "7"

[dependencies.scrypt]
version = "0.11"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha3]
version = "0.10"

[dependencies.tar]
version = "0.4"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.toml]
version = "0.8"

[dependencies.url]
version = "2"

[dependencies.zeroize]
version = "1"
features = ["derive"]

[dependencies.zip]
version = "2"

[dev-dependencies.tempfile]
version = "3"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
strip = true
